NoteBook(3p)

NAME
Tk::NoteBook - display several windows in limited space with notebook metaphor.

SYNOPSIS
  use Tk::NoteBook;
  ...
  $w = $frame->NoteBook();
  $page1 = $w->add("page1", options);
  $page2 = $w->add("page2", options);
  ...
  $page2 = $w->add("page2", options);

DESCRIPTION
The NoteBook widget provides a notebook metaphor to display several windows in limited space. The notebook is divided into a stack of pages of which only one is displayed at any time. The other pages can be selected by means of choosing the visual "tabs" at the top of the widget. Additionally, the <Tab> key may be used to traverse the pages. If -underline is used, Alt- bindings will also work.

The widget takes all the options that a Frame does. In addition, it supports the following options:

-dynamicgeometry
    If set to false (default and recommended), the size of the NoteBook will match the size of the largest page. Otherwise the size will match the size of the current page causing the NoteBook to change size when different pages of different sizes are selected.

-ipadx
    The amount of internal horizontal padding around the pages.

-ipady
    The amount of internal vertical padding around the pages.

-backpagecolor
    The background color of the tabs and back page.

-disabledforeground
    XXX

-focuscolor
    The color of the focus border around the tabs.

-font
    The font of the tab labels.

-inactivebackground
    XXX

-tabpadx
    Horizonzal padding around the tab label.

-tabpady
    Vertical padding around the tab label.

METHODS
The following methods may be used with a NoteBook object in addition to standard methods.

add(pageName, options)
    Adds a page with name pageName to the notebook. Returns an object of type Frame. The recognized options are:

    -anchor
        Specifies how the information in a tab is to be displayed. Must be one of n, ne, e, se, s, sw, w, nw or center.

    -bitmap
        Specifies a bitmap to display on the tab of this page. The bitmap is displayed only if none of the -label or -image options are specified.

    -image
        Specifies an image to display on the tab of this page. The image is displayed only if the -label option is not specified.

    -label
        Specifies the text string to display on the tab of this page.

    -justify
        When there are multiple lines of text displayed in a tab, this option determines the justification of the lines.

    -createcmd
        Specifies a callback to be called the first time the page is shown on the screen. This option can be used to delay the creation of the contents of a page until necessary. It can be useful in situations where there are a large number of pages in a NoteBook widget; with -createcmd you do not have to make the user wait until all pages are constructed before displaying the first page.

    -raisecmd
        Specifies a callback to be called whenever this page is raised by the user.

    -state
        Specifies whether this page can be raised by the user. Must be either normal or disabled.

    -underline
        Specifies the integer index of a character to underline in the tab. This option is used by the default bindings to implement keyboard traversal for menu buttons and menu entries. 0 corresponds to the first character of text displayed on the widget, 1 to the next character and so on.

    -wraplength
        This option specifies the maximum line length of the label string on this tab. If the line length of the label string exceeds this length, then it is wrapped onto the next line so that no line is longer than the specified length. The value may be specified in any standard forms for screen distances. If this value is less than or equal to 0, then no wrapping is done: lines will break only at newline characters in the text.

delete(pageName)
    Deletes the page identified by pageName.

pagecget(pageName, -option)
    Returns the current value of the configuration option given by -option in the page given by pageName. Option may have any of the values accepted in the add method.

pageconfigure(pageName, options)
    Like configure for the page indicated by pageName. Options may be any of the options accepted by the add method.

pages
    Returns a list consisting of the names of all currently defined pages, i.e., those created with the add method.

raise(pageName)
    Raise the page identified by pageName.

raised()
    Returns the name of the currently raised page.

geometryinfo
    Return the dimensions of the tab area.

identify(x,y)
    Identify the tab's page name under the specified coordinates. Return an empty string if there's no tab.

info("pages")
    Return a list of all pages.

info("focus")
    Return the page name of the tab with the current focus.

info("focusnext")
    Return the page name of the tab which would receive the next focus.

info("focusprev")
    Return the page name of the tab which had the previous focus.

info("active")
    Return the page name of the active tab.

AUTHORS
Rajappa Iyer <rsi@earthling.net> Nick Ing-Simmons <nick@ni-s.u-net.com>

This code and documentation was derived from NoteBook.tcl in Tix4.0 written by Ioi Lam. It may be distributed under the same conditions as Perl itself.